import { jsx } from "react/jsx-runtime";
import { DiscoBall as DiscoBall$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DiscoBall = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "DiscoBall", ...props, children: /* @__PURE__ */ jsx(DiscoBall$1, { weight: variant }) });
  }
);
DiscoBall.displayName = "DiscoBall";
Object.assign(DiscoBall, { isGdsIcon: true });
export {
  DiscoBall
};
